Bug 976784 (CVE-2013-2199, CVE-2013-2200, CVE-2013-2201, CVE-2013-2202, CVE-2013-2203, CVE-2013-2204, CVE-2013-2205) - CVE-2013-2199 CVE-2013-2200 CVE-2013-2201 CVE-2013-2202 CVE-2013-2203 CVE-2013-2204 CVE-2013-2205 wordpress: Multiple security flaws to be corrected within upstream 3.5.2 version
Summary: CVE-2013-2199 CVE-2013-2200 CVE-2013-2201 CVE-2013-2202 CVE-2013-2203 CVE-201...
Status: CLOSED UPSTREAM
Alias: CVE-2013-2199, CVE-2013-2200, CVE-2013-2201, CVE-2013-2202, CVE-2013-2203, CVE-2013-2204, CVE-2013-2205
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130621,repor...
Keywords: Security
Depends On: 977018 977019
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-21 12:54 UTC by Jan Lieskovsky
Modified: 2019-06-10 11:00 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 11:00:47 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-06-21 12:54:50 UTC
On Friday, 2013-06-21 WordPress upstream is about to release new WordPress v3.5.2 version,
correcting the following security flaws:

* CVE-2013-2199 - SSRF, multiple vulnerabilities:

  Inadequate SSRF protection for HTTP requests where the user can provide a URL
  can allow for attacks against the intranet and other sites. This is a
  continuation of work related to CVE-2013-0235, which was specific to SSRF in
  pingback requests and was fixed in 3.5.1.

* CVE-2013-2200 - Privilege escalation allowing contributors to publish posts:

  Inadequate checking of a user's capabilities could allow them to publish posts
  when their user role should not allow for it; and to assign posts to other
  authors.

* CVE-2013-2201 - XSS, multiple vulnerabilities:

  Inadequate escaping allowed an administrator to trigger a cross-site scripting
  vulnerability through the uploading of media files and plugins.

* CVE-2013-2202 - XXE via oEmbed:

  The processing of an oEmbed response is vulnerable to an XXE.

* CVE-2013-2203 - Full Path Disclosure during File Upload:

  If the uploads directory is not writable, error message data returned via XHR
  will include a full path to the directory.

And two security flaws in external products:

* CVE-2013-2204 - Content Spoofing in the MoxieCode (TinyMCE) MoxiePlayer project:
  Upstream patch: https://github.com/moxiecode/moxieplayer/commit/b61ac518ffa2657e2dc9019b2

* CVE-2013-2205 - Cross-domain XSS in SWFUpload (again):
  Fix: Removing security.allowDomain("*") and only allow access from the same domain.

Comment 1 Vincent Danen 2013-06-22 16:36:48 UTC
External References:

http://codex.wordpress.org/Version_3.5.2

Comment 2 Vincent Danen 2013-06-22 16:38:57 UTC
Created wordpress tracking bugs for this issue

Affects: fedora-all [bug 977018]
Affects: epel-all [bug 977019]

Comment 3 Fedora Update System 2013-07-03 01:35:46 UTC
wordpress-3.5.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-07-03 01:37:30 UTC
wordpress-3.5.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-07-03 01:38:43 UTC
wordpress-3.5.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-07-10 22:03:07 UTC
wordpress-3.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-10 22:05:37 UTC
wordpress-3.5.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Product Security DevOps Team 2019-06-10 11:00:47 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.